Documents
Get a document
Retrieve one document by its doc_ ID, with its format, page count, places and template data. Soft-deprecated: read documents from Get an envelope instead.
Path Parameters
The unique identifier of the document. Document IDs start with doc_.
Returns
Returns a 200 OK status code and a document object if successful, or an error otherwise.
DOCX template
GET /v1/documents/doc_3QZHETuFIzFmrX6KaTLZLV HTTP/1.1
Host: api.signatureapi.com
X-API-Key: YOUR_API_KEY{
"id": "doc_3QZHETuFIzFmrX6KaTLZLV",
"envelope_id": "eb4cf433-a8af-4161-b37b-7ef57d423e56",
"key": "offer_letter",
"title": "Offer Letter",
"page_count": 1,
"url": "https://pub-9cb75390636c4a8a83a6f76da33d7f45.r2.dev/docs-samples/acme-offer-letter-template.docx",
"format": "docx",
"data": {
"date": "November 2nd, 2026",
"employer": {
"name": "Acme Corp Legal",
"organization": "Acme Corp"
},
"candidate": {
"name": "Jane Doe",
"email": "jane.doe@example.com"
}
},
"fixed_positions": [],
"places": [
{
"key": "employer_signs_here",
"type": "signature",
"recipient_key": "employer",
"height": 60
},
{
"key": "candidate_signs_here",
"type": "signature",
"recipient_key": "candidate",
"height": 60
}
]
}{
"type": "https://signatureapi.com/docs/v1/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Document not found."
}Errors every call can return are in Errors and Authentication.